﻿
.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {clear: both;}

.clearfix {*zoom: 1;}

.container { position: relative; margin: 2px auto;
}

.side-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
	min-width: 138px;max-width: 280px;}
.side-menu li {position: relative;}

.side-menu li a {
    display: block;
    text-decoration: none;
    padding: 12px 20px;
    color: #777;
    font-size: 12px;
   
    text-align: left;
    min-height: 16px;
    position: relative;
    border-bottom: 1px solid #EEE;
}

.side-menu li a i {
    float: left;
    font-size: 14px;
    margin: 0 10px 0 0;
}

.side-menu li a p {float: left;margin: 0;}

.side-menu li a strong { font-size: 13px;display: block;}

.side-menu li a small {
    display: block;
    font-size: 10px;
    margin-top:3px;
}

.side-menu li a i, .side-menu li a strong, .side-menu li a small {
    position: relative;
    transition: all 300ms linear;
    -o-transition: all 300ms linear;
    -ms-transition: all 300ms linear;
    -moz-transition: all 300ms linear;
    -webkit-transition: all 300ms linear;
}

.side-menu li:hover > a i {
    opacity: 1;
 /*   -webkit-animation: moveFromTop 300ms ease-in-out;
    -moz-animation: moveFromTop 300ms ease-in-out;
    -ms-animation: moveFromTop 300ms ease-in-out;
    -o-animation: moveFromTop 300ms ease-in-out;
    animation: moveFromTop 300ms ease-in-out;*/
}

.side-menu li:hover a strong {
    opacity: 1;
/*    -webkit-animation: moveFromLeft 300ms ease-in-out;
    -moz-animation: moveFromLeft 300ms ease-in-out;
    -ms-animation: moveFromLeft 300ms ease-in-out;
    -o-animation: moveFromLeft 300ms ease-in-out;
    animation: moveFromLeft 300ms ease-in-out;*/
}

.side-menu li:hover a small {
    opacity: 1;
/*    -webkit-animation: moveFromRight 300ms ease-in-out;
    -moz-animation: moveFromRight 300ms ease-in-out;
    -ms-animation: moveFromRight 300ms ease-in-out;
    -o-animation: moveFromRight 300ms ease-in-out;
    animation: moveFromRight 300ms ease-in-out;*/
}

.side-menu li:hover > a {
    color: #e2c204;
    font-weight:bold;
}

.side-menu li a.active {
    position: relative;
    color: #264581;
    border: 0;
    box-shadow: 0 0 5px #DDD;
    -moz-box-shadow: 0 0 5px #DDD;
    -webkit-box-shadow: 0 0 5px #DDD;
    border-left: 4px solid #264581;
    border-right: 4px solid #264581;
    margin: 0 -4px;
}

    .side-menu li a.active:before {
        content: "";
        position: absolute;
        top: 13px;
        left: 0;
        border-left: 5px solid #264581;
        border-top: 5px solid transparent;
        border-bottom: 5px solid transparent;
    }

    .side-menu li a.active:after {
        content: "";
        position: absolute;
        top: 13px;
        right: 0;
        border-right: 5px solid #264581;
        border-top: 5px solid transparent;
        border-bottom: 5px solid transparent;
    }

/*
@-webkit-keyframes moveFromLeft {
    from {
        opacity: 0;
        -webkit-transform: translateX(200%);
        -moz-transform: translateX(200%);
        -ms-transform: translateX(200%);
        -o-transform: translateX(200%);
        transform: translateX(200%);
    }

    to {
        opacity: 1;
        -webkit-transform: translateX(0%);
        -moz-transform: translateX(0%);
        -ms-transform: translateX(0%);
        -o-transform: translateX(0%);
        transform: translateX(0%);
    }
}*/
.side-menu li ul,
.side-menu li ul li ul {
    position: absolute;
  /* height: auto;*/
    width: 120px;
    padding: 0;
    margin: 0;
    background-color: #eee;
    opacity: 0;
    visibility: hidden;
    transition: all 300ms linear;
    -o-transition: all 300ms linear;
    -ms-transition: all 300ms linear;
    -moz-transition: all 300ms linear;
    -webkit-transition: all 300ms linear;
    z-index: 100;
    left: 92px;
    top: 0px;
    border-left: 4px solid #264581;
}

    .side-menu li ul:before {
        content: "";
        position: absolute;
        top: 13px;
        left: -9px;
        border-right: 5px solid #264581;
        border-bottom: 5px solid transparent;
        border-top: 5px solid transparent;
    }

.side-menu li:hover > ul,
.side-menu li ul li:hover > ul {
    display: block;
    opacity: 1;
    visibility: visible;
    left: 138px;
}
.side-menu li ul li a {
    padding: 10px;
    text-align: left;
    border: 0;
    border-bottom: 1px solid #EEE;
    height: auto;
}

.side-menu li ul li a i {
    font-size: 16px;
    display: inline-block;
    margin: 0 10px 0 0;
}

.side-menu li ul li ul {
    left: 120px;
    top: 0;
    border: 0;
    border-left: 4px solid #264581;
}

    .side-menu li ul li ul:before {
        content: "";
        position: absolute;
        top: 15px;
        left: -9px;
        border-right: 5px solid #264581;
        border-bottom: 5px solid transparent;
        border-top: 5px solid transparent;
    }

.side-menu li ul li:hover > ul {
    top: 0px;
    left: 120px;
}

.side-menu li a.search input:focus {
    border: 1px solid #264581;
}


.search-mobile {
    display: none !important;
    background: #264581;
    border-left: 1px solid #e67e22;
    border-radius: 0 3px 3px 0;
}

.search-mobile i {
    color: #FFF;
    margin: 0 !important;
}

@media only screen and (min-width: 960px) and (max-width: 1199px) {
    .side-menu {
        margin-left: 10px;
    }
}
